#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}

%define apachegroup apache
%define mod_conf 72_imp.conf

Summary: The Internet Messaging Program: webmail access to IMAP/POP3 accounts.
Name: imp3
Version: 3.1
Release: 3mdk
License: GPL
Group: System/Servers
Source: ftp://ftp.horde.org/pub/imp/tarballs/imp-%{version}.tar.bz2
Source1: imp-mdk.conf.bz2
Source2: update-maildomain.awk
Source3: update-maildomain.sh
Patch0: imp-3.1-config-servers.patch.bz2
Patch1: imp-3.1-config-prefs.patch.bz2
Patch2: imp-3.1-config-turba-passwd.patch.bz2
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ADVX-build >= 1.2
Requires: mod_php >= 4.3.0
#The package does not explicitely require the php executable!
#Requires: php >= 4.3.0
#The package does not explicitely require php-devel
#Requires: php-devel >= 4.3.0
Requires: php-common >= 430
Requires: php-xml >= 4.3.0
Requires: php-domxml >= 4.3.0
Requires: php-pear >= 4.3.0
Requires: php-pear-Log >= 4.3.0
Requires: php-pear-Mail_Mime >= 4.3.0
Requires: php-pear-Net_Socket >= 4.3.0
Requires: apache >= 1.3.22
Requires: php-imap >= 4.3.0
Requires: php-ldap >= 4.3.0
Requires: horde2 >= 2.2.1
Requires: turba >= 1.1
PreReq: perl-base
Requires: poppassd
Conflicts: imp
Provides: ADVXpackage

%description
IMP is the Internet Messaging Program, one of the Horde applications.
It provides webmail access to IMAP and POP3 accounts.

The Horde Project writes web applications in PHP and releases them under
the GNU Public License.  For more information (including help with IMP)
please visit http://www.horde.org/.

%prep
%setup -q -n imp-%{version}
%patch0 -p0 
%patch1 -p0 
%patch2 -p0
mkdir .tmpdoc
cat << EOF > .tmpdoc/index.html
Your IMP package is installed in <a href=/horde/>%{ap_htdocsdir}/horde</a>.
<p>
Its documentation is installed in <a href=/horde/imp/docs/>%{ap_htdocsdir}/horde/imp/docs</a>.
EOF

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%ADVXinstconf %{SOURCE1} %{mod_conf}
mkdir -p %{buildroot}%{ap_htdocsdir}/horde/imp
cp -pR * %{buildroot}%{ap_htdocsdir}/horde/imp
cd %{buildroot}%{ap_htdocsdir}/horde/imp/config
for d in *.dist; do
    d0=`basename $d .dist`
    if [ ! -f "$d0" ]; then
        cp -p $d $d0
    fi
done
cp %{SOURCE2} %{SOURCE3} .
rm -f %{buildroot}%{ap_htdocsdir}/horde/imp/config/trailer.txt
touch %{buildroot}%{ap_htdocsdir}/horde/imp/config/trailer.txt
rm %{buildroot}%{ap_htdocsdir}/horde/imp/README -f
rm %{buildroot}%{ap_htdocsdir}/horde/imp/COPYING -f
%ADVXinstdoc %name-%version

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
alias FIXME="perl -pi -e"
#Upgrade: remove line and reinstall it (only for Apache 1.3)
if [ $1 -gt 1 ]; then
   for config in %{ap_base}/conf/{httpd,httpd-perl}.conf; do
     if [ -e $config ]; then
	FIXME 's/.*//s if (/Include.*horde.conf$/i);' $config
	echo "Include conf.d/%{mod_conf}" >> $config
     fi
   done
fi
#Install (only for Apache 1.3)
if [ $1 = "1" ]; then
   for config in %{ap_base}/conf/{httpd,httpd-perl}.conf; do
     if [ -e $config ]; then
	echo "Include conf.d/%{mod_conf}" >> $config
     fi
   done
fi
cd %{ap_htdocsdir}/horde/imp/config
sh update-maildomain.sh
cd -
%ADVXpost

%postun
alias FIXME="perl -pi -e"
#Uninstall (only for Apache 1.3)
if [ $1 = "0" ]; then
   for config in %{ap_base}/conf/{httpd,httpd-perl}.conf; do
     if [ -e $config ]; then
	FIXME 's/.*//s if (/Include.*horde.conf$/i);' $config
     fi
   done
fi
%ADVXpost

%files
%defattr(-,root,root)
%ap_webdoc/*
# Apache imp.conf file
%config(noreplace) %{ap_confd}/%{mod_conf}
# Include top level with %dir so not all files are sucked in
%dir %{ap_htdocsdir}/horde/imp
# Include top-level files by hand
%{ap_htdocsdir}/horde/imp/*.php
# Include these dirs so that all files _will_ get sucked in
%{ap_htdocsdir}/horde/imp/graphics
%{ap_htdocsdir}/horde/imp/lib
%{ap_htdocsdir}/horde/imp/locale
%{ap_htdocsdir}/horde/imp/po
%{ap_htdocsdir}/horde/imp/docs
%{ap_htdocsdir}/horde/imp/scripts
%{ap_htdocsdir}/horde/imp/templates
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{ap_htdocsdir}/horde/imp/config
%defattr(640,root,%{apachegroup})
%{ap_htdocsdir}/horde/imp/config/.htaccess
%{ap_htdocsdir}/horde/imp/config/*.dist
%{ap_htdocsdir}/horde/imp/config/update-maildomain.*
%defattr(-,root,%{apachegroup})
%config(noreplace) %{ap_htdocsdir}/horde/imp/config/*.php
%config(noreplace) %{ap_htdocsdir}/horde/imp/config/*.txt
%defattr(-,root,root)
%doc README COPYING .tmpdoc/index.html

%changelog
* Mon Feb 17 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.1-3mdk
- re-add update-maildomain.sh to the post scripts (thanks David Walser)

* Sun Feb 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.1-2mdk
- new macros from ADVX-build

* Wed Jun 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.1-1mdk
- from David Walser <luigiwalser@yahoo.com> :
	- 3.1 final
	- Regenerate prefs patch

* Sat May 18 2002 David Walser <luigiwalser@yahoo.com> 3.1-0.3mdk
- Add script to update maildomain to hostname
  (so mails sent from imp have the right From: address)

* Sat May 18 2002 David Walser <luigiwalser@yahoo.com> 3.1-0.2mdk
- Fix thinko in Patch0

* Sat May 18 2002 David Walser <luigiwalser@yahoo.com> 3.1-0.1mdk
- Regenerate patches

* Mon Mar 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.0-2mdk
- Added config patches.

* Sun Mar 10 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.0-1mdk
- 3.0.

* Wed Jan 02 2002 Brent J. Nordquist <bjn@horde.org>
- 3.0 release 1

* Mon Oct 22 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.2.6-7mdk
- fixed a bug in postconf.php3 causing warnings messages during password
  changes.

* Thu Sep 13 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.2.6-6mdk
- replaced pg_connect to pg_pconnect in lib/db.pgsql, to avoid the
  warning "...is not a valid PostgreSQL link...".

* Tue Sep 11 2001 Philippe Libat <philippe@mandrakesoft.com> 2.2.6-5mdk
- fix mod_php prereq

* Tue Sep 04 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.2.6-4mdk
- modified config files for poppassd support.

* Mon Sep 03 2001 Philippe Libat <philippe@mandrakesoft.com> 2.2.6-3mdk
- fix post-install script.
- Require Apache, php-ldap.

* Wed Aug 29 2001 Philippe Libat <philippe@mandrakesoft.com> 2.2.6-2mdk
- fix httpd.conf entry.

* Wed Aug 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.6-1mdk
- updated to 2.2.6.

* Sat Feb 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.2.4-1mdk
- initial mandrake release.

* Tue Feb 06 2001 Brent J. Nordquist <bjn@horde.org>
- 2.2.4 release 1rh7.
